AOZ Studio Beta - Bug #740

Can't open text widow full width of screen. Also, the window is offset to the right by 1 character.

04/26/2021 08:55 AM - Brian Flanagan

Status: Rejected Start date: 04/26/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 2:00 hours
Target version:

Affected version: 1.0.0 (B7)

Description

Example: Open an 80 x 25 window on the default 80 x 25 screen
Parameters are x,y, width , height ,border

Wind Open 1,0,0,80,25,1
Result is: Text window too large error.
Instead, | have to take it 1 less than the width and height:

Wind Open 1,0,0,79,24

...which of course, leaves the window too small by 1 line and 1 column.

History

#1 - 09/07/2021 07:02 AM - Francois Lionet
- Status changed from New to Rejected

- Assignee changed from AOZ Developers to Francois Lionet

In your example, you are asking for a BORDER to the window. Borders take one character on each size of the window, therefore the maximum width
and height is 78 and 23. If you replace the last parameter by 0 instead of 1, it works, you can open a 80x25 window...
